Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.network
Interface NetworkRegistryMBean

All Superinterfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

All Known Implementing Classes:
  NetworkRegistry

    public interface NetworkRegistryMBean

extends javax.management.NotificationBroadcaster, javax.management.MBeanRegistration

NetworkRegistryMBean is a managed bean that keeps track of all the servers on a JBOSS network, and associates all the valid invokers on each server that are available.

Version:
  $Revision: 566 $
Author:
  Jeff Haynie

Method Summary
`void` | `addServer(Identity identity, ServerInvokerMetadata[] invokers)` add a server for a given identity that is available on the network
`void` | `changeDomain(java.lang.String newDomain)` change the main domain of the local server
`NetworkInstance[]` | `getServers()` return the servers on the network
`boolean` | `hasServer(Identity identity)` returns true if the server with the identity is available
`NetworkInstance[]` | `queryServers(NetworkFilter filter)` query the network registry for `0..*` of servers based on a filter
`void` | `removeServer(Identity identity)` remove a server no longer available on the network
`void` | `updateServer(Identity identity, ServerInvokerMetadata[] invokers)` update the invokers for a given server

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getServers

    NetworkInstance[] getServers()

  return the servers on the network

  Returns:

### addServer

    void addServer(Identity identity,
                   ServerInvokerMetadata[] invokers)

  add a server for a given identity that is available on the network

  Parameters:
    `identity` -
    `invokers` -

### removeServer

    void removeServer(Identity identity)

  remove a server no longer available on the network

  Parameters:
    `identity` -

### updateServer

    void updateServer(Identity identity,
                      ServerInvokerMetadata[] invokers)

  update the invokers for a given server

  Parameters:
    `identity` -
    `invokers` -

### hasServer

    boolean hasServer(Identity identity)

  returns true if the server with the identity is available

  Parameters:
    `identity` -
  Returns:

### queryServers

    NetworkInstance[] queryServers(NetworkFilter filter)

  query the network registry for `0..*` of servers based on a filter

  Parameters:
    `filter` -
  Returns:

### changeDomain

    void changeDomain(java.lang.String newDomain)

  change the main domain of the local server

  Parameters:
    `newDomain` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.